| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | List of all members
cv::detail::tracking::TrackerSamplerCSC Class Reference
Tracking API » Tracking API implementation details

TrackerSampler based on CSC (current state centered), used by MIL algorithm TrackerMIL. More...

`#include <opencv2/video/detail/tracking.detail.hpp>`

Collaboration diagram for cv::detail::tracking::TrackerSamplerCSC:

## Classes
struct | Params

## Public Types
enum | MODE { MODE_INIT_POS = 1 , MODE_INIT_NEG = 2 , MODE_TRACK_POS = 3 , MODE_TRACK_NEG = 4 , MODE_DETECT = 5 }

## Public Member Functions
| TrackerSamplerCSC (const TrackerSamplerCSC::Params &parameters=TrackerSamplerCSC::Params())
| Constructor.
| ~TrackerSamplerCSC ()
bool | sampling (const Mat &image, const Rect &boundingBox, std::vector< Mat > &sample) CV_OVERRIDE
| Computes the regions starting from a position in an image.
void | setMode (int samplingMode)
| Set the sampling mode of TrackerSamplerCSC.
Public Member Functions inherited from cv::detail::tracking::TrackerSamplerAlgorithm
virtual | ~TrackerSamplerAlgorithm ()

## Detailed Description

TrackerSampler based on CSC (current state centered), used by MIL algorithm TrackerMIL.

## Member Enumeration Documentation

## ◆ MODE

enum cv::detail::tracking::TrackerSamplerCSC::MODE

Enumerator
MODE_INIT_POS | mode for init positive samples
MODE_INIT_NEG | mode for init negative samples
MODE_TRACK_POS | mode for update positive samples
MODE_TRACK_NEG | mode for update negative samples
MODE_DETECT | mode for detect samples

## Constructor & Destructor Documentation

## ◆ ~TrackerSamplerCSC()

cv::detail::tracking::TrackerSamplerCSC::~TrackerSamplerCSC | ( |  | ) |

## ◆ TrackerSamplerCSC()

cv::detail::tracking::TrackerSamplerCSC::TrackerSamplerCSC | ( | const TrackerSamplerCSC::Params & | parameters = TrackerSamplerCSC::Params() | ) |

Constructor.

Parameters

  parameters | TrackerSamplerCSC parameters TrackerSamplerCSC::Params

## Member Function Documentation

## ◆ sampling()

bool cv::detail::tracking::TrackerSamplerCSC::sampling | ( | const Mat & | image,
|  | const Rect & | boundingBox,
|  | std::vector< Mat > & | sample )
| virtual

Computes the regions starting from a position in an image.

Return true if samples are computed, false otherwise

Parameters

  image | The current frame
  boundingBox | The bounding box from which regions can be calculated
  sample | The computed samples [233] Fig. 1 variable Sk

Implements cv::detail::tracking::TrackerSamplerAlgorithm.

## ◆ setMode()

void cv::detail::tracking::TrackerSamplerCSC::setMode | ( | int | samplingMode | ) |

Set the sampling mode of TrackerSamplerCSC.

Parameters

  samplingMode | The sampling mode

The modes are:

- "MODE_INIT_POS = 1" – for the positive sampling in initialization step
- "MODE_INIT_NEG = 2" – for the negative sampling in initialization step
- "MODE_TRACK_POS = 3" – for the positive sampling in update step
- "MODE_TRACK_NEG = 4" – for the negative sampling in update step
- "MODE_DETECT = 5" – for the sampling in detection step

The documentation for this class was generated from the following file:

- opencv2/video/detail/tracking.detail.hpp